import { JavaObject } from '../../../java/lang/JavaObject';
import { GostFach } from '../../../core/data/gost/GostFach';
import { Vector } from '../../../java/util/Vector';
import { Abiturdaten } from '../../../core/data/gost/Abiturdaten';
export declare class GostBelegpruefungsdaten extends JavaObject {
    abiturdaten: Abiturdaten | null;
    gostFaecher: Vector<GostFach>;
    constructor();
    isTranspiledInstanceOf(name: string): boolean;
    static transpilerFromJSON(json: string): GostBelegpruefungsdaten;
    static transpilerToJSON(obj: GostBelegpruefungsdaten): string;
    static transpilerToJSONPatch(obj: Partial<GostBelegpruefungsdaten>): string;
}
export declare function cast_de_nrw_schule_svws_core_data_gost_GostBelegpruefungsdaten(obj: unknown): GostBelegpruefungsdaten;
